# Development


## Development

### Bumping versions

Let's bump one minor up:
```
poetry version minor
```

You can check with git what actuaklly happened:
```
git diff  pyproject.toml 
diff --git a/pyproject.toml b/pyproject.toml
index da60684..3e03d59 100644
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -1,6 +1,6 @@
 [tool.poetry]
 name = "kheops"
-version = "0.1.0"
+version = "0.2.0"
 description = "Hierarchical key/value store"
 authors = ["Robin Cordier"]
 license = "Apache License"

```

Once there, you can commit your change and add a new tag version.

## Publishing

### Build package

As simple as:
```
poetry build
```

This create tarballs in dist:
```
ll dist/
total 88K
-rw-r--r-- 1 jez jez 24K Apr  7 11:40 kheops-0.1.0-py3-none-any.whl
-rw-r--r-- 1 jez jez 19K Apr  7 11:40 kheops-0.1.0.tar.gz
-rw-r--r-- 1 jez jez 24K Apr  7 11:56 kheops-0.2.0-py3-none-any.whl
-rw-r--r-- 1 jez jez 18K Apr  7 11:56 kheops-0.2.0.tar.gz
```

Then configure your remote repository, it can be pypi itself or any other repo:
```
poetry publish -r repositories.tiger_artifactory_sandbox

# In case of SSL issues:
CURL_CA_BUNDLE="" poetry publish -r tiger_artifactory_sandbox
```

